DeluxHostAPI Reference
Storage files

Create a folder

POST
/v1/services/{orderId}/storage/files/mkdir

Authorization

apiToken storage:files:write
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: storage:files:write

Path Parameters

orderId*number

Request Body

application/json
  1. body
path*string

Response Body

Operation completed or accepted; asynchronous actions may still be running.

application/json
  1. response
created*boolean
path*string
curl -X POST 'https://api.deluxhost.net/v1/services/0/storage/files/mkdir' \  -H "Authorization: Bearer $DELUXHOST_TOKEN" \  -H 'Content-Type: application/json' \  -d '{  "path": "string"}'
Example Response
{  "created": true,  "path": "string"}